Subject: Re: bug#72798: 29.4; Documentation issues with Supercite re. filladapt

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Sep 2024 10:37:09 +0300

> Cc: [email-masked]
> Date: Sat, 31 Aug 2024 12:39:26 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Marc Fargas <[email-masked]>
> > Date: Sat, 24 Aug 2024 23:29:33 +0200
> > 
> > In particular, on the /Filling Cited Text/ and /What Supercite Does/
> > sections:
> > 
> > There are mentions to some "gin-mode" which I'm not sure it exists
> > anymore. The only thing I found is some FTP archive [1] with a file
> > "gin-mode.el" dated May 1989. I am attaching it here for reference.
> 
> I removed the reference to gin-mode.
> 
> > Then there are mentions to filladapt which is on ELPA, but enabling it
> > breaks supercite,
> > 
> >     (use-package supercite
> >       :ensure nil ; emacs builtin
> >       :hook ((mail-citation . sc-cite-original)))
> > 
> >     (use-package filladapt			; better auto fill
> >       :ensure t
> >       :demand t
> >       :config
> >       (setq-default filladapt-mode t))
> > 
> > Now attempting to reply an email will output an error in *Messages* and
> > citing will stop at the first paragraph:
> > 
> >     message-newline-and-reformat: This command only works in the body of the message
> > 
> > The manual tells you about "(sc-setup-filladapt)" but this function
> > seems to be broken:
> > 
> >     Debugger entered--Lisp error: (void-variable filladapt-prefix-table)
> >       sc-setup-filladapt()
> >       eval-expression((sc-setup-filladapt) nil nil 127)
> >       funcall-interactively(eval-expression (sc-setup-filladapt) nil nil 127)
> >       command-execute(eval-expression)
> 
> Adding Kyle, in the hope that he will have some suggestions about this
> aspect.

Kyle's email bounced, so unless someone would like to work on this
problem in Supercite, I guess it will remain unsolved.